#!/bin/bash
set -e


# root 440GiB
# boot 2GiB
# free 5GiB

parted /dev/sda mklabel msdos
parted /dev/sda mkpart primary 1 440GiB
parted /dev/sda mkpart primary 440GiB 442GiB
parted /dev/sdb mklabel msdos
parted /dev/sdb mkpart primary 1 440GiB
parted /dev/sdb mkpart primary 440GiB 442GiB

sleep 1

# $1=hostname
echo 'yes' | mdadm -C /dev/md0 --homehost="$1" -l1 -n2 /dev/sd[ab]1
echo 'yes' | mdadm -C /dev/md1 --homehost="$1" -l1 -n2 /dev/sd[ab]2 
